## com.thingmagic
Enum SerialReader.Gen2Configuration

    java.lang.Object
      java.lang.Enum<SerialReader.Gen2Configuration>
          com.thingmagic.SerialReader.Gen2Configuration

All Implemented Interfaces:
  SerialReader.ProtocolConfiguration, java.io.Serializable, java.lang.Comparable<SerialReader.Gen2Configuration>

Enclosing class:
  SerialReader

    public static enum SerialReader.Gen2Configuration

extends java.lang.Enum<SerialReader.Gen2Configuration>
implements SerialReader.ProtocolConfiguration

Gen2-specific parameters that are supported on the device.

Enum Constant Summary
`BAP` The Gen2 BAP.
`LINKFREQUENCY` The Gen2 link frequency.
`PROTOCOLEXTENSION` The Gen2 Protocol Extension
`Q` The Gen2 Q algorithm used for inventory operations.
`SESSION` The Gen2 session value.
`T4` The Gen2 T4 is the minimum time between Select and Query command.
`TAGENCODING` The Gen2 M value.
`TARGET` The Gen2 target algorithm used for inventory operations.
`TARI` The Gen2 Tari value.

Method Summary
`int` `getValue()` internal use method
`static SerialReader.Gen2Configuration` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.Gen2Configuration[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SESSION

    public static final SerialReader.Gen2Configuration SESSION

  The Gen2 session value.

  Type: Gen2.Session

### TARGET

    public static final SerialReader.Gen2Configuration TARGET

  The Gen2 target algorithm used for inventory operations.

  Type: Gen2.Target

### TAGENCODING

    public static final SerialReader.Gen2Configuration TAGENCODING

  The Gen2 M value.

  Type: Gen2.MillerM

### LINKFREQUENCY

    public static final SerialReader.Gen2Configuration LINKFREQUENCY

  The Gen2 link frequency.

  Type: Gen2.LinkFrequency

### TARI

    public static final SerialReader.Gen2Configuration TARI

  The Gen2 Tari value. Type: Gen2.Tari

### Q

    public static final SerialReader.Gen2Configuration Q

  The Gen2 Q algorithm used for inventory operations.

  Type: Gen2.Q

### BAP

    public static final SerialReader.Gen2Configuration BAP

  The Gen2 BAP.

  Type: Gen2.BAP

### PROTOCOLEXTENSION

    public static final SerialReader.Gen2Configuration PROTOCOLEXTENSION

  The Gen2 Protocol Extension

  Type: Gen2.ProtocolExtension

### T4

    public static final SerialReader.Gen2Configuration T4

  The Gen2 T4 is the minimum time between Select and Query command. It is a 4-byte value specified in microseconds.

  Type: Integer

Method Detail

### values

    public static SerialReader.Gen2Configuration[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.Gen2Configuration c : SerialReader.Gen2Configuration.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.Gen2Configuration valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  internal use method

  Specified by:
    `getValue` in interface `SerialReader.ProtocolConfiguration`
  Returns:
    value